| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::DynLibManager Class Reference
Core » General

Manager for Dynamic-loading Libraries. More...

`#include <OgreDynLibManager.h>`

Inheritance diagram for Ogre::DynLibManager:
[legend]

## Public Member Functions
| DynLibManager ()
| Default constructor. More...
| ~DynLibManager ()
| Default destructor. More...
DynLib * | load (const String &filename)
| Loads the passed library. More...
void | unload (DynLib *lib)
| Unloads the passed library. More...

## Static Public Member Functions
static DynLibManager & | getSingleton (void)
| Get the singleton instance. More...
static DynLibManager * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

Manager for Dynamic-loading Libraries.

Remarks
  This manager keeps a track of all the open dynamic-loading libraries, opens them and returns references to already-open libraries.

## Constructor & Destructor Documentation

## ◆ DynLibManager()

Ogre::DynLibManager::DynLibManager | ( |  | ) |

Default constructor.

Note
  Should never be called as the singleton is automatically created during the creation of the Root object.

See also
  Root::Root

## ◆ ~DynLibManager()

Ogre::DynLibManager::~DynLibManager | ( |  | ) |

Default destructor.

See also
  Root::~Root

## Member Function Documentation

## ◆ load()

DynLib* Ogre::DynLibManager::load | ( | const String & | filename | ) |

Loads the passed library.

Parameters

  filename | The name of the library. The extension can be omitted.

## ◆ unload()

void Ogre::DynLibManager::unload | ( | DynLib * | lib | ) |

Unloads the passed library.

Parameters

  lib | The library.

## ◆ getSingleton()

static DynLibManager& Ogre::DynLibManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static DynLibManager* Ogre::DynLibManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreDynLibManager.h